package com.pcloud.book.group.biz;

import com.pcloud.book.group.dto.AppClickDTO;
import com.pcloud.book.group.dto.LearningScoreDTO;
import com.pcloud.book.group.dto.UserLearningInfoDTO;
import com.pcloud.book.group.entity.LearningReportBrowseRecord;

import java.util.List;

public interface LearningReportBiz {
    Long createLearningReportBrowseRecord(LearningReportBrowseRecord learningReportBrowseRecord);

    Long createLearningReportTouchRecord(String wxUserId,String wxGroupId);

    List<AppClickDTO> getRecentlyLearning(Long wechatUserId, Long qrcodeId);

    List<LearningScoreDTO> getLearningTopFive(Long qrcodeId);

    LearningScoreDTO getUserLearningSore(Long qrcodeId,Long wechatUserId);

    UserLearningInfoDTO getUserLearningInfo(Long qrcodeId, Long wechatUserId, String qrcodeUrlS);
}
